/*	TmCT.r - rez input file for AppMaker TCL C templates
	audit trail: 
	 3/24/92 mrk	CPanorama, CPicture, CStaticText: case create: added:
						%if defined itsPanorama%
							%set itsPanorama = itemname%
						%endif%
	 1/09/92 mrk	CArrayPane: case create: changed 'ATbl' to '%panetype%'
					DefineResources:	added case Pan#
					zDoc:		Z%Appname%Doc::I%Appname%Doc%: changed CDocument::IDocument to
						inherited::IDocument
					zSubWindow, zSubWindow.h, zWindow, zWindow.h: class Z%WindName%:
						removed UpdateMenus method
	11/22/91 sdb	added SubWindow, SubWindow.h, zSubWindow, zSubWindow.h
					App:		changed TCL #include's from ""s to <>'s
								changed gen includeDialogs% to gen includeAppDialogs%
								added C%Appname%App::I%Appname%App
								C%Appname%App::UpdateMenus: changed gen updateMenus% to
									gen updateAppMenus%
								C%Appname%App::DoCommand: changed gen handleItems% to
									gen handleAppItems%
					App.h:		class C%Appname%App: added I%Appname%App method and a
									place for user's instance variables
					CAMBorder, CArrayPane, CArrowPopupPane, CButton, CCheckBox, CDialogText,
					CGrayLine, CIconPane, CIntegerText, CLabeledGroup, CMultiState, CPane,
					CPanorama, CPicture, CRadioControl, CRadioGroupPane, CScrollBar,
					CScrollPane, CSlider, CStaticText, CStdPopupPane, CStyleText, CTable,
					Custom, Palette, PictButton, PictCheck, PictRadio:
									case include: deal with system vs. user includes
									case instance: adjusted whitespace
					CEditText:	added case ProviderChanged
								case include, classDecl, instance, create: removed if window
					CtlItemPane:	case defineitem: changed if clickCmd > 0 to clickCmd > 1023
					Data.h:		deal with system vs. user includes
					Doc:		deal with system vs. user includes
								C%Appname%Doc::UpdateMenus: added %for each menu gen updateDocMenus%
								C%Appname%Doc::DoCommand: added %for each menu gen handleDocItems%
					EachMenu:	case addPopup: removed gBartender->AddMenu & SetDimOption calls,
									changed GetMHandle calls to GetMenu, added FailNILRes calls
								changed cases includeDialogs, updateMenus & handleItems to
									includeAppDialogs, includeDocDialogs, updateAppMenus,
									updateDocMenus, handleAppItems, handleDocItems
					EachMenuItem:	changed cases includeDialog, updateMenu, handleItem to
										includeAppDialog, includeDocDialog, updateAppMenu,
										updateDocMenu, handleAppItem, handleDocItem,
									added %if modeless% around #include "%dlogname%.h"
					EachWindow:	case sourcefile: distinguish first winder from later window
								added cases instance, initNil, dispose, and closeWind
								case create: distinguish first winder from later window,
									removed gDecorator->StaggerWindow call
					ModalDialog, ModalOneShot, ModelessDialog, Window, zApp, zApp.h, zDialog,
						zDialog.h, zDoc, zDoc.h, zWindow, zWindow.h:
								deal with system vs. user includes
					ModelessDialog:	MakeNew%dlogname%: added dialog->BeginDialog call
					PictButton:	rewrote case DoCommand, wrote cases auxiliaryMethod.decl &
									auxiliaryMethod
					PictCheck:	cases include, classDecl, instance, create: changed CAMButton
									to CAMCheckBox
					PictRadio:	cases include, classDecl, instance, create: changed CAMButton
									to CAMRadioControl
					Window:		added extern for gDecorator
								C%WindName%::I%WindName%: added gDecorator->StaggerWindow call
					Window.h:	class C%WindName%: added a place for user's instance variables
					zApp:		Z%Appname%App::SetUpMenus: added MenuHandle macMenu
								Z%Appname%App::UpdateMenus: only generate if have already generated
									appname+App.c
								Z%Appname%App::DoCommand: updated gen handleItems to handleAppItems
					zApp.h:		class Z%Appname%App: only declare UpdateMenus method if
									appname+App.c exists, removed %for each menu gen doItems.decl%
					zDoc:		removed #include "CDecorator.h"
								removed externs for gDecorator & gGopher
								Z%Appname%Doc::I%Appname%Doc%: removed %for each window gen initNil%
								Z%Appname%Doc::Dispose: removed %if multiWindowfor each window
									gen dispose% & itsWindow = NULL
								removed Z%Appname%Doc methods ActivateWind, DeactivateWind, &
									CloseWind
								Z%Appname%Doc::BuildWindows: added locals mainWindow & subWindow
								Z%Appname%Doc::UpdateMenus, Z%Appname%Doc::DoCommand: only generate
									if have already generated appname+Doc.c
					zDoc.h:		removed %for each window gen classDecl%
								class Z%Appname%Doc: only declare UpdateMenus & DoCommand methods
									if appname+Doc.c exists, removed %for each window gen instance%,
									removed methods ActivateWind, DeactivateWind, &
									CloseWind
					zWindow:	removed extern of gGopher
								Z%WindName%::IZ%WindName%: removed itsGopher = aSupervisor->itsGopher
								removed Z%WindName%::Activate
					zWindow.h:	class Z%WindName%: removed Activate, itsGopher
	11/21/91 mrk	PictButton:	changed from just calling %CButton% to
									having similar structure to Palette
					PictCheck:	changed from just calling %CCheckbox% to
									having similar structure to Palette
					PictRadio:	changed from just calling %CRadioControl% to
									having similar structure to Palette, with case create
									similar to CRadioControl
*/

read 'TmCT' (1, "GenWhat", purgeable) "GenWhat";

read 'TmCT' (101, "Main", purgeable) "Main";
read 'TmCT' (102, "App", purgeable) "App";
read 'TmCT' (103, "Doc", purgeable) "Doc";
read 'TmCT' (104, "Window", purgeable) "Window";
read 'TmCT' (114, "SubWindow", purgeable) "SubWindow";
read 'TmCT' (105, "ModalDialog", purgeable) "ModalDialog";
read 'TmCT' (106, "ModalOneShot", purgeable) "ModalOneShot";
read 'TmCT' (107, "ModelessDialog", purgeable) "ModelessDialog";
read 'TmCT' (111, "Data", purgeable) "Data";

read 'TmCT' (202, "App.h", purgeable) "App.h";
read 'TmCT' (203, "Doc.h", purgeable) "Doc.h";
read 'TmCT' (204, "Window.h", purgeable) "Window.h";
read 'TmCT' (214, "SubWindow.h", purgeable) "SubWindow.h";
read 'TmCT' (205, "ModalDialog.h", purgeable) "ModalDialog.h";
read 'TmCT' (206, "ModalOneShot.h", purgeable) "ModalOneShot.h";
read 'TmCT' (207, "ModelessDialog.h", purgeable) "ModelessDialog.h";
read 'TmCT' (208, "ResourceDefs.h", purgeable) "ResourceDefs.h";
read 'TmCT' (211, "Data.h", purgeable) "Data.h";

read 'TmCT' (302, "zApp", purgeable) "zApp";
read 'TmCT' (303, "zDoc", purgeable) "zDoc";
read 'TmCT' (304, "zWindow", purgeable) "zWindow";
read 'TmCT' (314, "zSubWindow", purgeable) "zSubWindow";
read 'TmCT' (307, "zDialog", purgeable) "zDialog";

read 'TmCT' (402, "zApp.h", purgeable) "zApp.h";
read 'TmCT' (403, "zDoc.h", purgeable) "zDoc.h";
read 'TmCT' (404, "zWindow.h", purgeable) "zWindow.h";
read 'TmCT' (414, "zSubWindow.h", purgeable) "zSubWindow.h";
read 'TmCT' (407, "zDialog.h", purgeable) "zDialog.h";

read 'TmCT' (501, "EachWindow", purgeable) "EachWindow";
read 'TmCT' (502, "EachDialog", purgeable) "EachDialog";
read 'TmCT' (503, "EachMenu", purgeable) "EachMenu";
read 'TmCT' (504, "EachMenuItem", purgeable) "EachMenuItem";
read 'TmCT' (514, "EachHierMenuItem", purgeable) "EachHierMenuItem";
read 'TmCT' (505, "DefineResources", purgeable) "DefineResources";
read 'TmCT' (506, "EachResource", purgeable) "EachResource";

read 'TmCT' (901, "CtlItemPane", purgeable) "CtlItemPane"; 

read 'TmCT' (1001, "CButton", purgeable) "CButton";
read 'TmCT' (1002, "CCheckBox", purgeable) "CCheckBox"; 
read 'TmCT' (1004, "CRadioControl", purgeable) "CRadioControl"; 
read 'TmCT' (1005, "CStaticText", purgeable) "CStaticText"; 
read 'TmCT' (1006, "CEditText", purgeable) "CEditText"; 
read 'TmCT' (1007, "CIntegerText", purgeable) "CIntegerText"; 
read 'TmCT' (1098, "IconGroup", purgeable) "IconGroup";
read 'TmCT' (1099, "CLabeledGroup", purgeable) "CLabeledGroup";
read 'TmCT' (1008, "CIconPane", purgeable) "CIconPane";
read 'TmCT' (1009, "CPicture", purgeable) "CPicture"; 
read 'TmCT' (1010, "CGrayLine", purgeable) "CGrayLine"; 
read 'TmCT' (1011, "CAMBorder", purgeable) "CAMBorder"; 
read 'TmCT' (1012, "Palette", purgeable) "Palette"; 
read 'TmCT' (1013, "CStdPopupPane", purgeable) "CStdPopupPane"; 
read 'TmCT' (1014, "CTable", purgeable) "CTable";
read 'TmCT' (1015, "CScrollBar", purgeable) "CScrollBar"; 
read 'TmCT' (1016, "Custom", purgeable) "Custom"; 
read 'TmCT' (1017, "CPane", purgeable) "CPane"; 
read 'TmCT' (1018, "PictButton", purgeable) "PictButton";
read 'TmCT' (1019, "PictCheck", purgeable) "PictCheck"; 
read 'TmCT' (1021, "PictRadio", purgeable) "PictRadio"; 
read 'TmCT' (1022, "CMultiState", purgeable) "CMultiState"; 
read 'TmCT' (1023, "CSlider", purgeable) "CSlider"; 
read 'TmCT' (1031, "CScrollPane", purgeable) "CScrollPane";
read 'TmCT' (1032, "CDialogText", purgeable) "CDialogText"; 
read 'TmCT' (1034, "CStyleText", purgeable) "CStyleText"; 
read 'TmCT' (1035, "CArrowPopupPane", purgeable) "CArrowPopupPane"; 
read 'TmCT' (1036, "CArrayPane", purgeable) "CArrayPane"; 
read 'TmCT' (1037, "CRadioGroupPane", purgeable) "CRadioGroupPane"; 
read 'TmCT' (1038, "CPanorama", purgeable) "CPanorama"; 

read 'TmCT' (1100, "(scrollPane bar)", purgeable) "(scrollPane bar)"; 


/*----------------Lang  AppMaker language resource----------------------------*/
type 'Lang' {
		literal longint;		/* template resource type */
		literal longint;		/* new resource type */
		literal longint;		/* creator resource type */
		integer;				/* resource flavor */
		pstring;				/* language name */
		pstring;				/* obsolete - source extension (.c, .p, etc.) */
		pstring;				/* stationery name - obsolete header extension */
		pstring;				/* obsolete - makefile extension */
		pstring;				/* %if% name */
};

/*---	 'Lang' resource for C / Class Library 	---*/

resource 'Lang' (6, "THINK C 5.0 with Class Library") {
	'TmCT',
	'    ',
	'KAHL',
	1,
	"THINK C 5.0\nwith Class Library",
	"",
	"TCL",
	"",
	"Think"
};
