/*	TmpC.r - rez input file for AppMaker Procedural C templates
	audit trail:
	 3/16/92 mrk	List: case mousein: fixed GetListChoice call
					EachMenu, Menu.Font: changed FontMenu, AppleMenu, FileMenu,
						and EditMenu to %MenuName%Menu in case user creates a
						"font" menu instead of "Font" etc.
	 2/04/92 sdb	Main:	OpenDocuments: changed "" to "\p" in ParamText call
					Menu.File:	DoSaveAs: changed "???" to "\p???" in SetWTitle call
	 1/22/92 mrk	DoMenuItem.Edit:	DoSubscriberOptions: updated but #if'd-out code
	 1/21/92 mrk	DoMenuItem.Edit:	DoSubscriberOptions: added comment
					EachMenuItem:	case enableEdit: updated Publish/Subscribe Enable calls
	 1/16/92 mrk	fixing Publish/Subscribe support:
					Menu:			added %if menuname = Edit%#include <Editions.h>%endif%
					DoMenuItem.Edit:	DoCreatePublisher: changed pdReply.preview = 'TEXT'
											to: pdReply.preview = nil;
											pdReply.previewFormat = 'TEXT';
					EachMenuItem:	case enableEdit: corrected symbol names in Enable calls
	 1/15/92 mrk	added support for new library routine FailNilResource:
					MainMenu:		added #include "Miscellany.h"
					EachMenu:		case get: if Apple, call FailNilResource
	 1/10/92 mrk	EachMenuItem:	case enableFile: changed hasFile to isCur so Save As will
										be enabled when a new documents window is frontmost 
									case enableFile: FileRevert: changed isDirty && hasFile
										to isDirty
	 1/09/92 sdb	Button, Custom:	case window field: removed %Enable?%
					DoMenuItem.Edit:	DoCut, CoCopy, DoPaste, DoClear:
											added cur->dirty = true
					EditNum:		case window field: removed long %fieldName%
									case create: set firstEdit if empty
					EditText:		case create: set firstEdit if empty
					Enable?:		case window field: changed %itemname%Enabled to
										%enabledname%
					List:			case mousein: added GetListChoice call
					Palette:		case create: changed cur->%fieldname from 1 to
										GetCtlMin (cur->%HandleName%)
					ScrollBar:		case window field: removed short %fieldName%Value
	 1/09/92 mrk	EachMenuItem:	case enableEdit, elsif menuitemname = SubscriberOptions:
										sysConfig.hasEditionMgr / * && sectionSelected * /
					Makefile:	updated AUX from MPW
					Enable?: case dialog field: added %haveField%
					ModalDialog: Get%dlogname%: added ModalFilterProcPtr cast in calls to
						MovableDialog
	 1/07/92 sdb	DoMenuItem.Edit:	Open%WindName%: changed init of cur->text from
											cur->%handlename% to cur->%firstEdit%
										TypeIn%WindName%: added cur->dirty = true
	11/24/91 sdb	List:		case winAuxiliary: changed TRUE to true
								case update: added SetWFont (%itemname%);
					Main:		main: added AppleEvents support
					MakeFile:	make %AppFilename% also depend on %AppFilename%.make
					ModalDialog, ModalOneShot:
								Get%dlogname%: if not needsFilter, change filterProc from
									NULL to StandardFilter
					Popup:		case create: changed info-> to cur->
					UserItem:	case auxiliary: if lang = MPW, generate
									#pragma unused (whichDialog, itemNr)
	11/20/91 mrk	Menu.File:	CloseAppWindow: fixed if (cur->windowKind = 1)
	11/15/91 mrk	(help item):added
					Window:		Open%WindName%%: also set
									((WindowPeek) curWindow)->windowKind to
									userKind + W%WindName%
	10/23/91 sdb	Globals:	removed hasPopupCDEF
	10/16/91 mrk	Makefile:	changed "{MPW}AMLibraryC:"AMLib.o to
									"{MPW}Libraries:AMLibraryC:"AMLib.o
*/

read 'TmpC' (1, "GenWhat", purgeable) "GenWhat";

read 'TmpC' (101, "Globals", purgeable) "Globals";
read 'TmpC' (102, "ResourceDefs", purgeable) "ResourceDefs";
read 'TmpC' (103, "Window", purgeable) "Window";
read 'TmpC' (104, "MainMenu", purgeable) "MainMenu";
read 'TmpC' (105, "Menu", purgeable) "Menu";
read 'TmpC' (106, "ModalDialog", purgeable) "ModalDialog";
read 'TmpC' (107, "ModalOneShot", purgeable) "ModalOneShot";
read 'TmpC' (108, "ModelessDialog", purgeable) "ModelessDialog";
read 'TmpC' (109, "Dispatcher", purgeable) "Dispatcher";
read 'TmpC' (110, "Main", purgeable) "Main";
read 'TmpC' (111, "Data", purgeable) "Data";

read 'TmpC' (151, "Menu.File", purgeable) "Menu.File";
read 'TmpC' (152, "Menu.Font", purgeable) "Menu.Font";

read 'TmpC' (201, "Globals.h", purgeable) "Globals.h";
read 'TmpC' (202, "ResourceDefs.h", purgeable) "ResourceDefs.h";
read 'TmpC' (203, "MainMenu.h", purgeable) "MainMenu.h";
read 'TmpC' (204, "Window.h", purgeable) "Window.h";
read 'TmpC' (205, "Menu.h", purgeable) "Menu.h";
read 'TmpC' (206, "ModalDialog.h", purgeable) "ModalDialog.h";
read 'TmpC' (207, "ModalOneShot.h", purgeable) "ModalOneShot.h";
read 'TmpC' (208, "ModelessDialog.h", purgeable) "ModelessDialog.h";
read 'TmpC' (209, "Dispatcher.h", purgeable) "Dispatcher.h";
read 'TmpC' (211, "Data.h", purgeable) "Data.h";

read 'TmpC' (251, "Menu.File.h", purgeable) "Menu.File.h";
read 'TmpC' (252, "Menu.Font.h", purgeable) "Menu.Font.h";

read 'TmpC' (301, "EachWindow", purgeable) "EachWindow"; 
read 'TmpC' (302, "EachDialog", purgeable) "EachDialog";
read 'TmpC' (303, "EachMenu", purgeable) "EachMenu"; 
read 'TmpC' (304, "EachMenuItem", purgeable) "EachMenuItem"; 
read 'TmpC' (305, "DefineResources", purgeable) "DefineResources";
read 'TmpC' (306, "EachResource", purgeable) "EachResource";

read 'TmpC' (401, "DoMenuItem", purgeable) "DoMenuItem"; 
read 'TmpC' (402, "DoMenuItem.File", purgeable) "DoMenuItem.File"; 
read 'TmpC' (403, "DoMenuItem.Edit", purgeable) "DoMenuItem.Edit"; 

read 'TmpC' (801, "MakeFile", purgeable) "MakeFile"; 

read 'TmpC' (901, "Enable?", purgeable) "Enable?"; 
read 'TmpC' (902, "DefineItem", purgeable) "DefineItem"; 

read 'TmpC' (1001, "Button", purgeable) "Button";
read 'TmpC' (1002, "CheckBox", purgeable) "CheckBox"; 
read 'TmpC' (1003, "RadioGroup", purgeable) "RadioGroup"; 
read 'TmpC' (1004, "RadioButton", purgeable) "RadioButton"; 
read 'TmpC' (1005, "StatText", purgeable) "StatText"; 
read 'TmpC' (1006, "EditText", purgeable) "EditText"; 
read 'TmpC' (1007, "EditNum", purgeable) "EditNum"; 
read 'TmpC' (1098, "IconGroup", purgeable) "IconGroup";
read 'TmpC' (1008, "Icon", purgeable) "Icon";
read 'TmpC' (1009, "Picture", purgeable) "Picture"; 
read 'TmpC' (1010, "Line", purgeable) "GrayLine"; 
read 'TmpC' (1011, "Rect", purgeable) "Rect"; 
read 'TmpC' (1012, "Palette", purgeable) "Palette"; 
read 'TmpC' (1013, "Popup", purgeable) "Popup"; 
read 'TmpC' (1014, "List", purgeable) "List";
read 'TmpC' (1015, "ScrollBar", purgeable) "ScrollBar"; 
read 'TmpC' (1016, "Custom", purgeable) "Custom"; 
read 'TmpC' (1017, "UserItem", purgeable) "UserItem"; 
read 'TmpC' (1018, "PictButton", purgeable) "PictButton";
read 'TmpC' (1019, "PictCheckbox", purgeable) "PictCheckbox"; 
read 'TmpC' (1020, "PictRadioGroup", purgeable) "PictRadioGroup"; 
read 'TmpC' (1021, "PictRadioButton", purgeable) "PictRadioButton"; 
read 'TmpC' (1022, "PictMulti", purgeable) "PictMulti"; 
read 'TmpC' (1023, "Slider", purgeable) "Slider"; 

read 'TmpC' (1200, "(help item)", purgeable) "(help item)"; 

/*----------------Lang  AppMaker language resource----------------------------*/
type 'Lang' {
		literal longint;		/* template resource type */
		literal longint;		/* obsolete - new resource type */
		literal longint;		/* creator resource type */
		integer;				/* resource flavor */
		pstring;				/* language name */
		pstring;				/* obsolete - source extension (.c, .p, etc.) */
		pstring;				/* stationery name - obsolete header extension */
		pstring;				/* obsolete - makefile extension */
		pstring;				/* %if% name */
};

/*---	 'Lang' resources for C 	---*/

resource 'Lang' (3, "MPW C") {
	'TmpC',
	'    ',
	'MPS ',
	0,
	"MPW C",
	"",
	"Procedural",
	"",
	"MPW"
};

resource 'Lang' (4, "THINK C 5.0") {
	'TmpC',
	'    ',
	'KAHL',
	0,
	"THINK C 5.0",
	"",
	"Procedural",
	"",
	"Think"
};

resource 'Lang' (7, "A/UX ANSI C") {
	'TmpC',
	'    ',
	'MPS ',
	0,
	"A/UX ANSI C",
	"",
	"Procedural",
	"",
	"AUX"
};
